#
# spec file for package gri
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gri
Version:        2.12.23
Release:        19.21
Summary:        A language for scientific illustration
License:        GPL-3.0+
Group:          Productivity/Scientific/Other
Url:            http://gri.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
Patch0:         gfi-2.2.23-perl.patch
Patch1:         gri-texinfo-5.0.patch
BuildRequires:  ImageMagick
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  readline-devel
BuildRequires:  texinfo
%if %suse_version <= 1220
BuildRequires:  texlive
%else
BuildRequires:  texlive-dvips
%endif
BuildRequires:  perl(Time::CTime)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post): /sbin/install-info

%description
Gri is a language for scientific graphics programming.  It is a
command-driven application, as opposed to a click/point application.
It is analogous to latex, and shares the property that extensive power
is the reward for tolerating a modest learning curve.  Gri output is
in industry-standard PostScript, suitable for incorporation in
documents prepared by various text processors.

Gri can make x-y graphs, contour-graphs, and image graphs.  In
addition to high-level capabilities, it has enough low-level
capabilities to allow users to achieve a high degree of customization.
Precise control is extended to all aspects of drawing, including
line-widths, colors, and fonts.  Text includes a subset of the tex
language, so that it is easy to incorporate Greek letters and
mathematical symbols in labels.

%prep
%setup -q
%patch0
%patch1 -p1

%build
%configure
%__make

%install
%if 0%{sles_version}
%makeinstall DESTDIR=%{buildroot}
%else
%make_install DESTDIR=%{buildroot}
%endif
%fdupes %{buildroot}%{_datadir}/%{name}/

%clean
%{?buildroot:rm -rf %{buildroot}}

%post
/sbin/install-info %{_infodir}/gri.info %{_infodir}/dir

%postun
/sbin/install-info --delete %{_infodir}/gri.info %{_infodir}/dir

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING NEWS
%{_bindir}/gri
%{_bindir}/gri_merge
%{_bindir}/gri_unpage
%{_datadir}/%{name}/
%{_datadir}/emacs/site-lisp/gri-mode.el
%{_infodir}/gri.info*
%{_mandir}/man1/gri*

%changelog
* Tue Feb 24 2015 dimstar@opensuse.org
- Add gri-texinfo-5.0.patch: Fix build with texinfo 5.0.
* Tue Jul 10 2012 werner@suse.de
- Make it build with latest TeXLive 2012 with new package layout
* Sat Jun 16 2012 andreas.stieger@gmx.de
- add explicit build requirement for perl(Time::CTime)
- fix doc/texinfo2HTML perl script: ctime and getopts
- fix warning about touched buildroot in %%build section
* Sun Feb 26 2012 scorot@free.fr
- fix build for SLE-11
* Fri Aug 19 2011 badshah400@gmail.com
- Initial package (version 2.12.23)
